/*----------------------------------------------------------------------------
 * Name:    Blinky.c
 * Purpose: LED Flasher for MCBNUC1XX with ADC Conversion
 *----------------------------------------------------------------------------
 * This file is part of the uVision/ARM development tools.
 * This software may only be used under the terms of a valid, current,
 * end user licence from KEIL for a compatible version of KEIL software
 * development tools. Nothing else gives you the right to use this software.
 *
 * This software is supplied "AS IS" without warranties of any kind.
 *
 * Copyright (c) 2004-2014 Keil - An ARM Company. All rights reserved.
 *----------------------------------------------------------------------------*/

#include "s6e1a1.h"                     // Device header
#include "Board_LED.h"

uint8_t clock_1s;                       /* Flag activated each second         */

/*----------------------------------------------------------------------------
  SysTick IRQ Handler (occurs every 10 ms)
 *----------------------------------------------------------------------------*/
void SysTick_Handler (void) {
  static unsigned long ticks = 0;

	//ticks++;
  if (ticks++ >= 99) {                  /* Set Clock1s to 1 every second      */
    ticks    = 0;
    clock_1s = 1;
		LED_Off(0);
		LED_Off(1);
  } else {
		LED_On(1);
		LED_On(0);
	}

}

/*----------------------------------------------------------------------------
  Main function
 *----------------------------------------------------------------------------*/
int main (void) {

  LED_Initialize();                     /* LED Initialization                 */

  SystemCoreClockUpdate();
  SysTick_Config(SystemCoreClock/100);  /* Generate interrupt each 10 ms      */

  while (1) {                           /* Loop forever                       */    
  }
}
