/**************************************************************************
* Copyright (C)2011 Spansion LLC. All Rights Reserved . 
*
* This software is owned and published by: 
* Spansion LLC, 915 DeGuigne Dr. Sunnyvale, CA  94088-3453 ("Spansion").
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND 
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software constitutes driver source code for use in programming Spansion's 
* Flash memory components. This software is licensed by Spansion to be adapted only 
* for use in systems utilizing Spansion's Flash memories. Spansion is not be 
* responsible for misuse or illegal use of this software for devices not 
* supported herein.  Spansion is providing this source code "AS IS" and will 
* not be responsible for issues arising from incorrect user implementation 
* of the source code herein.  
*
* SPANSION MAKES NO WARRANTY, EXPRESS OR IMPLIED, ARISING BY LAW OR OTHERWISE, 
* REGARDING THE SOFTWARE, ITS PERFORMANCE OR SUITABILITY FOR YOUR INTENDED 
* USE, INCLUDING, WITHOUT LIMITATION, NO IMPLIED WARRANTY OF MERCHANTABILITY, 
* FITNESS FOR A  PARTICULAR PURPOSE OR USE, OR NONINFRINGEMENT.  SPANSION WILL 
* HAVE NO LIABILITY (WHETHER IN CONTRACT, WARRANTY, TORT, NEGLIGENCE OR 
* OTHERWISE) FOR ANY DAMAGES ARISING FROM USE OR INABILITY TO USE THE SOFTWARE, 
* INCLUDING, WITHOUT LIMITATION, ANY DIRECT, INDIRECT, INCIDENTAL, 
* SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS OF DATA, SAVINGS OR PROFITS, 
* EVEN IF SPANSION HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.  
*
* This software may be replicated in part or whole for the licensed use, 
* with the restriction that this Copyright notice must be included with 
* this software, whether used in part or whole, at all times.  
*******************************************************************************/
/** \file ledpwm.c
 **
 ** for Bulb-Board-Mini
 **
 ** History:
 **   - 2014-04-11  1.0  MSc  First Version
 *****************************************************************************/
#include "ledpwm.h"


/******************************************************************************/
/* Global variable definitions                                                */
/******************************************************************************/

/******************************************************************************/
/* Function implementation - global ('extern') and local ('static')           */
/******************************************************************************/

void LedPwm_Init(void)
{
  //TIOA3_1, P3D
  bFM0P_GPIO_DDR3_P3D = 1;
  bFM0P_GPIO_PDOR3_P3D = 1;
  bFM0P_GPIO_PFR3_P3D = 1;
  FM0P_GPIO->EPFR04 |= (2 << 26);
  
  //TIOA2_0, P23
  bFM0P_GPIO_DDR2_P23 = 1;
  bFM0P_GPIO_PDOR2_P23 = 1;
  bFM0P_GPIO_ADE_AN06 = 0;
  bFM0P_GPIO_PFR2_P23 = 1;
  FM0P_GPIO->EPFR04 |= (1 << 18);
  
  FM0P_BT2_PWM->TMCR = 0x0810;
  FM0P_BT2_PWM->TMCR2 = 0x0;
  FM0P_BT2_PWM->STC = 0x20;
  FM0P_BT2_PWM->PCSR = 255;
  FM0P_BT2_PWM->PDUT = 0; 
  FM0P_BT2_PWM->TMCR |= 0x02;
  FM0P_BT2_PWM->TMCR |= 0x01;

  FM0P_BT3_PWM->TMCR = 0x0810;
  FM0P_BT3_PWM->TMCR2 = 0x0;
  FM0P_BT3_PWM->STC = 0x20;
  FM0P_BT3_PWM->PCSR = 255;
  FM0P_BT3_PWM->PDUT = 0; 
  FM0P_BT3_PWM->TMCR |= 0x02;
  FM0P_BT3_PWM->TMCR |= 0x01;
  LedPwm_SetDuty(2,0);
  LedPwm_SetDuty(3,0);
}

void LedPwm_SetDuty(uint8_t u8Channel, uint8_t u8Duty)
{
  switch(u8Channel)
  {
  case 2:
      FM0P_BT2_PWM->PDUT = u8Duty;
      if (u8Duty == 0)
      {
          bFM0P_GPIO_PFR2_P23 = 0;
      }
      else
      {
          bFM0P_GPIO_PFR2_P23 = 1;
      }
      break;
  case 3:
      FM0P_BT3_PWM->PDUT = u8Duty;
      if (u8Duty == 0)
      {
          bFM0P_GPIO_PFR3_P3D = 0;
      }
      else
      {
          bFM0P_GPIO_PFR3_P3D = 1;
      }
      break;
  default:
    break;
  }
}

void LedPwm_SetCycle(uint8_t u8Channel, uint8_t u8Cycle)
{
  switch(u8Channel)
  {
  case 2:
      FM0P_BT2_PWM->PCSR = u8Cycle;
      break;
  case 3:
      FM0P_BT3_PWM->PCSR = u8Cycle;
      break;
  default:
    break;
  }
}
