/*******************************************************************************
* Copyright (C) 2013 Spansion LLC. All Rights Reserved. 
*
* This software is owned and published by: 
* Spansion LLC, 915 DeGuigne Dr. Sunnyvale, CA  94088-3453 ("Spansion").
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND 
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with Spansion 
* components. This software is licensed by Spansion to be adapted only 
* for use in systems utilizing Spansion components. Spansion shall not be 
* responsible for misuse or illegal use of this software for devices not 
* supported herein.  Spansion is providing this software "AS IS" and will 
* not be responsible for issues arising from incorrect user implementation 
* of the software.  
*
* SPANSION MAKES NO WARRANTY, EXPRESS OR IMPLIED, ARISING BY LAW OR OTHERWISE,
* REGARDING THE SOFTWARE (INCLUDING ANY ACOOMPANYING WRITTEN MATERIALS), 
* ITS PERFORMANCE OR SUITABILITY FOR YOUR INTENDED USE, INCLUDING, 
* WITHOUT LIMITATION, THE IMPLIED WARRANTY OF MERCHANTABILITY, THE IMPLIED 
* WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE OR USE, AND THE IMPLIED 
* WARRANTY OF NONINFRINGEMENT.  
* SPANSION SHALL HAVE NO LIABILITY (WHETHER IN CONTRACT, WARRANTY, TORT, 
* NEGLIGENCE OR OTHERWISE) FOR ANY DAMAGES WHATSOEVER (INCLUDING, WITHOUT 
* LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, 
* LOSS OF BUSINESS INFORMATION, OR OTHER PECUNIARY LOSS) ARISING FROM USE OR 
* INABILITY TO USE THE SOFTWARE, INCLUDING, WITHOUT LIMITATION, ANY DIRECT, 
* INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES OR LOSS OF DATA, 
* SAVINGS OR PROFITS, 
* EVEN IF SPANSION HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. 
* YOU ASSUME ALL RESPONSIBILITIES FOR SELECTION OF THE SOFTWARE TO ACHIEVE YOUR
* INTENDED RESULTS, AND FOR THE INSTALLATION OF, USE OF, AND RESULTS OBTAINED 
* FROM, THE SOFTWARE.  
*
* This software may be replicated in part or whole for the licensed use, 
* with the restriction that this Disclaimer and Copyright notice must be 
* included with each copy of this software, whether used in part or whole, 
* at all times.  
*/

#include "mcu.h"
#include "board.h"
/**
 ******************************************************************************
 ** \brief  Main function of project for S6E1A1 series.
 **
 ** \param  none
 ** \return uint32_t return value, if needed
 ******************************************************************************/
int32_t main(void)
{
  volatile int i,i2;
  Board_Init();
  LED_DUTY(LED_LEFT,0);
  LED_DUTY(LED_RIGHT,0);
  puts("\r\nWelcome to Bulb-Board-Mini...\r\n");
  while(1){
    bBOARD_GPIO_PDOR_PIN1 = 1;
    
    puts("\r\nTurn on left LED\r\n");
    for(i = 1;i<255;i++)
    {
        LED_DUTY(LED_LEFT,i);
        for(i2=0;i2 < 7000;i2++);
        putch('.');
    }
    
    puts("\r\nTurn off left LED\r\n");
    for(i = 1;i<255;i++)
    {
        LED_DUTY(LED_LEFT,255-i);
        for(i2=0;i2 < 7000;i2++);
        putch('.');
    }
    
    puts("\r\nTurn on right LED\r\n");
    for(i = 1;i<255;i++)
    {
        LED_DUTY(LED_RIGHT,i);
        for(i2=0;i2 < 7000;i2++);
        putch('.');
    }
    
    puts("\r\nTurn off right LED\r\n");
    for(i = 1;i<255;i++)
    {
        LED_DUTY(LED_RIGHT,255-i);
        for(i2=0;i2 < 7000;i2++);
        putch('.');
    }
    
    puts("\r\nTurn on both LED\r\n");
    for(i = 1;i<255;i++)
    {
        LED_DUTY(LED_LEFT,i);
        LED_DUTY(LED_RIGHT,i);
        for(i2=0;i2 < 7000;i2++);
        putch('.');
    }
    
    puts("\r\nTurn off both LED\r\n");
    for(i = 1;i<255;i++)
    {
        LED_DUTY(LED_LEFT,255-i);
        LED_DUTY(LED_RIGHT,255-i);
        for(i2=0;i2 < 7000;i2++);
        putch('.');
    }
    
    puts("\r\nTurn on both LED\r\n");
    for(i = 1;i<255;i++)
    {
        LED_DUTY(LED_LEFT,i);
        LED_DUTY(LED_RIGHT,i);
        for(i2=0;i2 < 7000;i2++);
        putch('.');
    }
    
    puts("\r\nTurn off both LED\r\n");
    for(i = 1;i<255;i++)
    {
        LED_DUTY(LED_LEFT,255-i);
        LED_DUTY(LED_RIGHT,255-i);
        for(i2=0;i2 < 7000;i2++);
        putch('.');
    }
    
    puts("\r\nTurn on both LED\r\n");
    for(i = 1;i<255;i++)
    {
        LED_DUTY(LED_LEFT,i);
        LED_DUTY(LED_RIGHT,i);
        for(i2=0;i2 < 7000;i2++);
        putch('.');
    }
    
    puts("\r\nTurn off both LED\r\n");
    for(i = 1;i<255;i++)
    {
        LED_DUTY(LED_LEFT,255-i);
        LED_DUTY(LED_RIGHT,255-i);
        for(i2=0;i2 < 7000;i2++);
        putch('.');
    }
  }
}
